import os

userConfigName = os.path.join(os.environ.get("HOME", "/"), ".iannorc")

from ianno import fancyconfig
from ianno.fancyconfig import (Configuration, DefaultSection, Section,
	StringConfigItem, ConfigItem, ParseError, IntConfigItem, FloatConfigItem,
	BooleanConfigItem)

config = Configuration(
	Section("iaview", "Settings pertaining to the viewer.  Some of these"
			" will be overwritten with current values after a session.",
		StringConfigItem("viewerGeometry", "600x400", description=
			"Geometry of the main image window"),
		StringConfigItem("tagGeometry", "400x500", description=
			"Geometry of the tag selector"),
		StringConfigItem("timelineGeometry", "1000x50", description=
			"Geometry of the timeline"),
		BooleanConfigItem("fulled", "False", description="Viewer is"
			" full screen?"),
	),
	Section("ianno", "Settings pertaining to the annotation tool.  Some"
			" of these will be overwritten with current values after a session.",
		StringConfigItem("windowGeometry", "1000x560", description=
			"Geometry of the full window"),
	),
)

def save():
	config.saveUserConfig(userConfigName)

get = config.get
set = config.set

fancyconfig.readConfiguration(config, None, userConfigName)
